commit:     8b2224c6fc52f5a9f588984c69b29475edaaf4c1
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Sat Jan 28 16:19:30 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 22:53:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b2224c6

media-video/mpv: adjust opengl USE constraints in 9999

This partially reverts 65e3818f6012af6672f7fa4e9dea54dec1fef3fb.
I'm not sure why opengl USE constraints were removed and not fixed.

Anyway, build system requires X, aqua, or libmpv USEs with opengl USE.
If you build with cli enabled you want something that can play videos.
Opengl bits in libmpv don't provide a working video playback with cli.
Hence libmpv USE doesn't satisfy opengl with cli, but X or aqua do.

Also pull virtual/opengl whenever X is enabled. This can be useful on
Mac OS to build against XQuartz. virtual/opengl is broken there though,
see Gentoo bugs 431182, 577520. Luckily, mpv isn't keyworded there too.

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3718

 media-video/mpv/mpv-9999.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/media-video/mpv/mpv-9999.ebuild b/media-video/mpv/mpv-9999.ebuild
index 21f1b6b..ee0b6c6 100644
--- a/media-video/mpv/mpv-9999.ebuild
+++ b/media-video/mpv/mpv-9999.ebuild
@@ -43,6 +43,7 @@ REQUIRED_USE="
        gbm? ( drm egl )
        lcms? ( || ( opengl egl ) )
        luajit? ( lua )
+       opengl? ( || ( aqua X !cli? ( libmpv ) ) )
        test? ( || ( opengl egl ) )
        tools? ( cli )
        uchardet? ( iconv )
@@ -88,7 +89,7 @@ COMMON_DEPEND="
                luajit? ( dev-lang/luajit:2 )
        )
        openal? ( >=media-libs/openal-1.13 )
-       opengl? ( !aqua? ( virtual/opengl ) )
+       opengl? ( X? ( virtual/opengl ) )
        pulseaudio? ( media-sound/pulseaudio )
        raspberry-pi? (
                >=media-libs/raspberrypi-userland-0_pre20160305-r1

Reply via email to